List compute services for a project
⚠️ Experimental endpoint: this API is in active development and may change at any time without notice. ⚠️
Returns all compute services belonging to a project, ordered by creation time (oldest first). Supports cursor-based pagination.
GET
/v1/projects/{projectId}/compute-servicesAuthorizationBearer <token>
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Path Parameters
projectId*string
Match
^(proj_)?([cC][^\s-]{8,}|[a-z0-9]+)$Query Parameters
cursor?|
Cursor for pagination
limit?number
Limit for pagination
Default
100Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.prisma.io/v1/projects/string/compute-services"{
"data": [
{
"id": "string",
"type": "compute-service",
"url": "http://example.com",
"name": "string",
"region": {
"id": "string",
"name": "string"
},
"projectId": "string",
"latestVersionId": "string",
"createdAt": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"nextCursor": "string",
"hasMore": true
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}